# PICO CMS docker

## Install

1. clone this repository
2. Copy `.env.sample` to `.env` and adapt to your needs
3. `docker-compose up`

## Usage

1. Put your contents in `content` directory
2. Put images etc in `assets` directory

### Cache

By default an HTML cache is enable with a lifetime of 7 days. This means that **your changes will not be visible until you clear the cache**

To clear the cache, simply run `./pico cache`.

You can change this behavior in the config file.


### Customization

#### Plugins / themes

To add plugins and / or themes :

1. Paste your themes / plugins in the `themes` / `plugins` directory
2. create a `custom.yml` file like the following :

```yaml
version: "3"

services:
  pico:
    volumes:
      - "./themes/tetras:/var/www/html/themes/tetras"
      - "./plugins/Pico-RSS-Plugin/pico_rss:/var/www/html/themes/plugins/pico_rss"
```

3. Update `.env` to add `:custom.yml` in the `COMPOSE_FILE` variable
4. Run `docker-compose down && docker-compose up`

#### Config

Copy `config/config.yml.template` to `config/config.yml` and adapt to your needs
